bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#37053: 26.2; window.el does not (provide 'window)


From: Stefan Kangas
Subject: bug#37053: 26.2; window.el does not (provide 'window)
Date: Wed, 21 Aug 2019 05:03:46 +0200

Noam Postavsky <address@hidden> writes:

> >> (use-package window
> >>   :custom (split-height-threshold nil "Minimum height for splitting 
> >> windows sensibly."))
> >
> > For builtin variables like this, you can just do
> >
> > (use-package emacs
> >    :custom (split-height-threshold nil "Minimum height for splitting 
> > windows sensibly."))
>
> Oh, (use-package "window" ...) should work as well.  See also
> https://debbugs.gnu.org/25026 for a similar report about isearch.el.

Since the third party package use-package by John Wiegley is gaining
popularity in the Emacs community, perhaps we should make life a bit
easier for these users.  The attached patch is simple enough.  Does
anyone disagree with making such a change?

Thanks,
Stefan Kangas

Attachment: 0001-lisp-window.el-Add-provide-statement.-Bug-37053.patch
Description: Text Data


reply via email to

[Prev in Thread] Current Thread [Next in Thread]